# FIXME

- Figure out a way to make this automatically load the correct PostCSS plugins, when used with icssify (since we probably don't want to pre-compile the CSS?)

# Name ideas

- SnapUI (snap-ui)

# Feature ideas

SetIconSource wrapper, like SetTheme, for providing a custom Icon component (eg. when using an icon font instead of images), and some way to have icon fallbacks

# Context design rules

- Global contexts named normally; control-specific contexts should be $control_$name, like with custom themeing rules
	- Event handler contexts: $control_on$Event
		- A control with interceptable event handler should always require a unique ID (either implicit or explicit) when interception is used; this is passed as the first argument to the event handler
		- Any same-named event handlers defined on the control directly should be called *even if it is intercepted*, since the user explicitly expressed that they want custom behaviour anyway
	- 'Selected item' contexts for eg. buttonsets: $control_selectedID
		- A selectable item should *always* wrap arbitrary content in a null selectedID context, to avoid passing this context beyond the first matching control
