"use strict";

module.exports = function composeHandlers(handlers) {
	let nonNullHandlers = handlers.filter((handler) => handler != null);

	return function callOnEvent(... args) {
		for (let handler of nonNullHandlers) {
			handler(... args);
		}
	};
};
