"use strict";

const useLazyRef = require("./use-lazy-ref");
const createClickTimer = require("./click-timer");

module.exports = function useClickTimer(timeout) {
	let ref = useLazyRef(() => createClickTimer({ timeout: timeout }));
	return ref.current;
};
